#pragma once
#include "Entity.h"
//颗粒实体：格挡耐力圈（有方向）
class CS_KingGuardCircle :
    public Entity
{
public:
    CS_KingGuardCircle(std::shared_ptr<Entity> parent);
    void Step() override;
    void DeltaTime(float deltaTime) override;//绘制更新
    int shieldHP_max = 0;
    float shieldR = 32;
    float targetR = shieldR;
    bool attacked = false;
    float r = 0;//圆圈半径
    float last_r = 0;
    float alpha = 1.0f;
    bool leave = false;
};

